<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>GODDeSS: PhotonDetectorPhysicsList Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.1 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
      <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>PhotonDetectorPhysicsList Class Reference</h1><!-- doxytag: class="PhotonDetectorPhysicsList" -->
<p>a class for the automatic registration of the physics needed for the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>s. This is done by static functions, thus no <a class="el" href="classPhotonDetectorPhysicsList.html" title="a class for the automatic registration of the physics needed for the G4PhotonDetectors...">PhotonDetectorPhysicsList</a> object has to be created.  
</p>

<p><a href="classPhotonDetectorPhysicsList-members.html">List of all members.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorPhysicsList.html#a18fcbe3a0c4afa816c6edef0dd5827bd">LoadPhysicsList</a> (G4VModularPhysicsList *physicsList, int verbose=0)</td></tr>
<tr><td colspan="2"><h2>Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorPhysicsList.html#af31d6adb351eb828ed27362eb4bb36b2">PhotonDetectorPhysicsList</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorPhysicsList.html#ab39117fd2381b55c06a1eee07aaa8019">~PhotonDetectorPhysicsList</a> ()</td></tr>
<tr><td colspan="2"><h2>Static Private Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPhotonDetectorPhysicsList.html#af5f4eb9e7f2ee68453560126c19cd38f">registerPhysics</a> (G4VModularPhysicsList *physicsList, G4VPhysicsConstructor *physicsConstructor)</td></tr>
</table>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="af31d6adb351eb828ed27362eb4bb36b2"></a><!-- doxytag: member="PhotonDetectorPhysicsList::PhotonDetectorPhysicsList" ref="af31d6adb351eb828ed27362eb4bb36b2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PhotonDetectorPhysicsList::PhotonDetectorPhysicsList </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Constructor (empty) </p>

</div>
</div>
<a class="anchor" id="ab39117fd2381b55c06a1eee07aaa8019"></a><!-- doxytag: member="PhotonDetectorPhysicsList::~PhotonDetectorPhysicsList" ref="ab39117fd2381b55c06a1eee07aaa8019" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual PhotonDetectorPhysicsList::~PhotonDetectorPhysicsList </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td><code> [inline, private, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Destructor (empty) </p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a18fcbe3a0c4afa816c6edef0dd5827bd"></a><!-- doxytag: member="PhotonDetectorPhysicsList::LoadPhysicsList" ref="a18fcbe3a0c4afa816c6edef0dd5827bd" args="(G4VModularPhysicsList *physicsList, int verbose=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PhotonDetectorPhysicsList::LoadPhysicsList </td>
          <td>(</td>
          <td class="paramtype">G4VModularPhysicsList *&nbsp;</td>
          <td class="paramname"> <em>physicsList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&nbsp;</td>
          <td class="paramname"> <em>verbose</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function to registers the physics that is needed for the <a class="el" href="classG4PhotonDetector.html" title="a class generating the materials, volumes, and optical properties needed for a photon...">G4PhotonDetector</a>s. Therefor, <a class="el" href="classPhotonDetectorPhysicsList.html#af5f4eb9e7f2ee68453560126c19cd38f">registerPhysics()</a> is used.</p>
<p>The following physics constructors are registered: </p>

<p><ul>
<li>G4OpticalPhysics (from 2009)<ul>
<li>creates the following particles:<ul>
<li>bosons: G4OpticalPhoton</li>
</ul>
</li>
<li>and adds the following physical processes to these particles:<ul>
<li>G4OpAbsorption, G4OpRayleigh, G4OpMieHG, G4OpBoundaryProcess, G4OpWLS, G4Scintillation, G4Cerenkov</li>
</ul>
</li>
</ul>
</li>
</ul>
</p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>physicsList</em>&nbsp;</td><td>physics list which is used for the simulation </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>verbose</em>&nbsp;</td><td>verbosity level for adding the needed physics processes (specified in <a class="el" href="classPhotonDetectorPhysicsList.html" title="a class for the automatic registration of the physics needed for the G4PhotonDetectors...">PhotonDetectorPhysicsList</a>) to the physics list (default: 0) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="af5f4eb9e7f2ee68453560126c19cd38f"></a><!-- doxytag: member="PhotonDetectorPhysicsList::registerPhysics" ref="af5f4eb9e7f2ee68453560126c19cd38f" args="(G4VModularPhysicsList *physicsList, G4VPhysicsConstructor *physicsConstructor)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void PhotonDetectorPhysicsList::registerPhysics </td>
          <td>(</td>
          <td class="paramtype">G4VModularPhysicsList *&nbsp;</td>
          <td class="paramname"> <em>physicsList</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">G4VPhysicsConstructor *&nbsp;</td>
          <td class="paramname"> <em>physicsConstructor</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td><code> [inline, static, private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Function that registers a physics constructor, if it has not already been registered. </p>
<dl><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>physicsList</em>&nbsp;</td><td>physics list which is used for the simulation </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>physicsConstructor</em>&nbsp;</td><td>physics to be registered </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Typedefs</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr size="1"/><address style="text-align: right;"><small>Generated on 13 Feb 2014 for GODDeSS by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
